function [ y ] = freqResponse( x, filter )
%FREQRESPONSE Filters the data (x) using the row vector shaped filter
%Conserves phases by filtering both ways (like the filtfilt function)

%filter one way
y=conv(x,filter,'same');
%flip
y=fliplr(y);
%filter the other way
y=conv(y,filter,'same');
%flip back to orignal direction
y=fliplr(y);

end

